Name:       tektoncd-cli
Version:    0.39.1
Release:    1%{?dist}
Summary:    CLI for interacting with Tekton pipelines
License:    Apache-2.0
URL:        https://tekton.dev
Source0:    https://github.com/tektoncd/cli/archive/refs/tags/v%{version}.tar.gz
Source1:    bundled.inc

BuildRequires:  golang
%include        %SOURCE1

%description
The Tekton Pipelines CLI project provides a command-line interface
(CLI) for interacting with Tekton, an open-source framework for
Continuous Integration and Delivery (CI/CD) systems.


%prep
%autosetup -n cli-%{version}


%build
%undefine _auto_set_build_flags
export CGO_ENABLED=0
go build -v -x -ldflags "-B 0x$(echo '%{name}-%{version}-%{release}-${SOURCE_DATE_EPOCH:-}' | sha1sum | cut -f1 -d' ') -d -X github.com/tektoncd/cli/pkg/cmd/version.clientVersion=%{version}" -mod=vendor  -o ./tkn ./cmd/tkn
gzip --recursive ./docs/man/man1

mkdir completions
./tkn completion bash > completions/tkn
./tkn completion fish > completions/tkn.fish
./tkn completion zsh  > completions/_tkn


%install
install -D -m 0755 tkn %{buildroot}%{_bindir}/tkn
install -d -m 0755 %{buildroot}%{_mandir}/man1
install -D -m 0644 docs/man/man1/* %{buildroot}%{_mandir}/man1/

install -m 0644 -vpDt %{buildroot}%{bash_completions_dir} completions/tkn
install -m 0644 -vpDt %{buildroot}%{fish_completions_dir} completions/tkn.fish
install -m 0644 -vpDt %{buildroot}%{zsh_completions_dir}  completions/_tkn


%files
%doc README.md
%license LICENSE
%{_bindir}/tkn
%{bash_completions_dir}/tkn
%{fish_completions_dir}/tkn.fish
%{zsh_completions_dir}/_tkn
%{_mandir}/man1/*


%changelog
* Sat Feb 01 2025 Mike Rochefort <mroche@omenos.dev> - 0.39.1-1
- Update to v0.39.1

* Sun Aug 25 2024 Mike Rochefort <mroche@omenos.dev> - 0.38.0-1
- Update to v0.38.0

* Tue May 14 2024 Mike Rochefort <mroche@omenos.dev> - 0.37.0-1
- Update to v0.37.0

* Sat Mar 23 2024 Mike Rochefort <mroche@omenos.dev> - 0.36.0-1
- Update to v0.36.0

* Wed Feb 14 2024 Mike Rochefort <mroche@omenos.dev> - 0.35.1-1
- Update to v0.35.1

* Sat Feb 10 2024 Mike Rochefort <mroche@omenos.dev> - 0.35.0-1
- Update to v0.35.0

* Thu Jan 11 2024 Mike Rochefort <mroche@omenos.dev> - 0.34.0-1
- Update to v0.34.0

* Mon Nov 27 2023 Mike Rochefort <mroche@omenos.dev> - 0.33.0-1
- Update to v0.33.0

* Sat Oct 21 2023 Mike Rochefort <mroche@omenos.dev> - 0.32.2-1
- Update to v0.32.2

* Sat Oct 14 2023 Mike Rochefort <mroche@omenos.dev> - 0.32.0-2
- Rebuild with Go 1.21.3

* Tue Sep 19 2023 Mike Rochefort <mroche@omenos.dev> - 0.32.0-1
- Update to v0.32.0

* Thu Aug 03 2023 Mike Rochefort <mroche@omenos.dev> - 0.31.2-1
- Update to v0.31.2

* Tue Jun 13 2023 Mike Rochefort <mroche@omenos.dev> - 0.31.1-1
- Update to v0.31.1

* Thu May 11 2023 Mike Rochefort <mroche@omenos.dev> - 0.31.0-1
- Update to v0.31.0

* Wed Apr 12 2023 Mike Rochefort <mroche@omenos.dev> - 0.30.1-1
- Update to v0.30.1

* Mon Mar 27 2023 Mike Rochefort <mroche@omenos.dev> - 0.30.0-1
- Update to v0.30.0

* Thu Feb 02 2023 Mike Rochefort <mroche@omenos.dev> - 0.29.1-1
- Update to v0.29.1

* Thu Jan 12 2023 Mike Rochefort <mroche@omenos.dev> - 0.29.0-1
- Update to v0.29.0

* Fri Nov 25 2022 Mike Rochefort <mroche@redhat.com> - 0.28.0-1
- Update to v0.28.0

* Tue Oct 11 2022 Mike Rochefort <mroche@redhat.com> - 0.27.0-1
- Update to v0.27.0

* Sat Sep 03 2022 Mike Rochefort <mroche@redhat.com> - 0.26.0-1
- Update to v0.26.0

* Fri Jul 22 2022 Mike Rochefort <mroche@redhat.com> - 0.25.0-1
- Update to v0.25.0

* Wed Jun 08 2022 Mike Rochefort <mroche@redhat.com> - 0.24.0-1
- Update to v0.24.0

* Fri Mar 25 2022 Mike Rochefort <mroche@redhat.com> - 0.23.1-1
- Update to v0.23.1

* Wed Mar 09 2022 Mike Rochefort <mroche@redhat.com> - 0.23.0-1
- Update to v0.23.0

* Sat Feb 12 2022 Mike Rochefort <mroche@redhat.com> - 0.22.0-1
- Build v0.22.0
